## k3b 22.08.1

=== debian/changelog ===
k3b (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:23 +0100

k3b (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Follow upstream soname bump libk3b7 -> libk3b8
  * Update install files and lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 11:20:34 +0100

k3b (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:59 +0100

k3b (22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs and maintainer fields.
      + k3b depends on k3b-i18n, not vice versa.
    - Update upstream signing key.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Jun 2022 11:19:15 +0100

k3b (22.04.2-1) unstable; urgency=medium

  * New upstream release:
    - the FFmpeg decoder plugin was removed (Closes: #1004822)
  * Update standards version to 4.6.1, no changes needed.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.88.0
    - add libkf5auth-dev
    - drop libavformat-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 09:21:09 +0200

k3b (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:41 +0100

k3b (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:37 +0100

k3b (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:17 +0100

k3b (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.86.0
  * Update the patches:
    - 101_rename_normalize.diff: refresh
    - 104_dont_require_suid_cdrecord_or_cdrdao.diff: refresh
    - 110_disable_no_problems_found_popup.diff: refresh
    - 111_advice_debian_libk3b3-extracodes.diff: refresh
    - 112_dont_require_mp3.diff: refresh
  * Simplify the installation of translated documentations, so there is no need
    to manually list all the non-English languages.
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 18:43:28 +0100

k3b (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:31:00 +0900
