=== libk3b/projects/videocd/CMakeLists.txt ===
add_subdirectory( cdi )
add_subdirectory( extra )

install( FILES  k3bvcdjob.h  			k3bvcddoc.h  			k3bvcdoptions.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )
