=== debian/changelog ===
k3b (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:11 +0100

k3b (22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 08:37:03 +0100

k3b (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:59:04 +0100

k3b (22.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Review copyright information.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 09:55:57 +0100

k3b (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Refresh patches.
  * Add build dependency on ffmpeg for transcoding.
  * Rename libk3b7 to libk3b8 to follow internal libs soname bump.
  * Rename libk3b7-extracodecs to libk3b-extracodecs as the libraries inside
    are not sonamed.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:21 +0100
