=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.88.0~),
                gettext,
+               libavdevice-dev (>= 7:4.4.0~),
                libcam-dev [kfreebsd-any],
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev (>= 5.88.0~),
                libkf5auth-dev (>= 5.88.0~),
-               libkf5cddb-dev (>= 4:22.08.1~),
+               libkf5cddb-dev (>= 4:5.1~),
                libkf5config-dev (>= 5.88.0~),
                libkf5coreaddons-dev (>= 5.88.0~),
                libkf5doctools-dev (>= 5.88.0~),
@@ -41,12 +42,12 @@
                libsndfile1-dev,
                libtag1-dev,
                libvorbis-dev,
-               qtbase5-dev (>= 5.12.5+dfsg-3~),
+               qtbase5-dev (>= 5.14.0~),
                shared-mime-info,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://userbase.kde.org/K3b
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -60,8 +61,9 @@
          wodim | cdrskin,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
+Recommends: dvd+rw-tools, growisofs, libk3b-extracodecs, vcdimager,
 Suggests: k3b-extrathemes,
+          k3b-i18n,
           kde-config-cddb,
           movixmaker-2,
           normalize-audio,
@@ -78,7 +80,7 @@
 Package: k3b-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - data files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -89,7 +91,7 @@
 
 Package: k3b-extrathemes
 Architecture: all
-Depends: k3b, ${misc:Depends}
+Depends: k3b, ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - extra themes
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -101,7 +103,7 @@
 Package: k3b-i18n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: k3b, ${misc:Depends},
 Description: Sophisticated CD/DVD burning application - localizations files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -114,8 +116,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b8 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libk3b8 (= ${binary:Version}), ${misc:Depends},
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -128,7 +129,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libk3b7,
+Replaces: libk3b7,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -137,10 +140,12 @@
  .
  This package contains runtime libraries.
 
-Package: libk3b7-extracodecs
+Package: libk3b-extracodecs
 Architecture: any
 Multi-Arch: same
-Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Breaks: libk3b7-extracodecs,
+Replaces: libk3b7-extracodecs,
 Description: KDE CD/DVD burning application library - extra decoders
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
